unit NCmpLogical;

{$IMPORTEDDATA OFF}

interface

function CmpLogical(const A, B: WideString): Integer;

implementation

uses Windows, ShlwapiSub;

var
  CmpFunc: function (A, B: PWideChar): Integer; stdcall;

function CmpLogical(const A, B: WideString): Integer;
begin
  Result := CmpFunc(PWideChar(A), PWideChar(B));
end;

begin
  if Assigned(StrCmpLogicalW) then
    CmpFunc := StrCmpLogicalW
  else
    CmpFunc := lstrcmpW;
end.
